Subject: Protocol Action: 'ISUP Cause Location Parameter for the SIP Reason Header Field' to Proposed Standard (draft-ietf-sipcore-reason-q850-loc-07.txt)

From: The IESG <[email-masked]>
Date: Mon, 25 Mar 2019 01:44:10 -0700

The IESG has approved the following document:
- 'ISUP Cause Location Parameter for the SIP Reason Header Field'
  (draft-ietf-sipcore-reason-q850-loc-07.txt) as Proposed Standard

This document is the product of the Session Initiation Protocol Core Working
Group.

The IESG contact persons are Adam Roach, Alexey Melnikov and Ben Campbell.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-reason-q850-loc/

Working Group Summary:

This document has struggled to get adequate reviews.  Chairs (which in include the shepherd) believe review is barely adequate, but the mechanism is so simple, and needed by 3GPP, that we feel advancing the document is appropriate

Document Quality:

3GPP has indicated they will incorporate this document in their documents and some implementations very likely.  One of the significant sip experts has reviewed the document and provided minor comments which have been incorporated.  No special reviews have been conducted or are needed.  

Personnel:

Brian Rosen is the Document Shepherd, Ben Campbell is the Area Director

RFC Editor Note

Please change the first sentence of the first paragraph in section 1 as follows:

OLD:
   The SIP Reason header field specification [RFC3326] describes a SIP
   header field that is used to indicate that a SIP request is carrying
   the reason of release. 
NEW:
   Section 3.4 of [RFC3326] describes a SIP message flow for canceling an
   INVITE request when a REL (release) message is received from the ISUP
   side. That document specifies the SIP Reason header field [RFC3326]
   that is used to indicate the reason of release.
END.

 Please replace Figure 1 in it's entirety, as follows. (Please make the column alignment pretty; the RFC editor note tool is resisting my attempts to do so).

OLD:
reason-extension =/ isup-cause-location
isup-cause-location =  "location" EQUAL isup-location-value

   isup-location-value =
      %s"U" /      ; for 0 0 0 0 user
      %s"LPN" /    ; for 0 0 0 1 private network serving the local user
      %s"LN" /     ; for 0 0 1 0 public network serving the local user
      %s"TN" /     ; for 0 0 1 1 transit network
      %s"RLN" /    ; for 0 1 0 0 public network serving the remote user
      %s"RPN" /    ; for 0 1 0 1 private network serving the remote user
      %s"LOC-6" /  ; for 0 1 1 0 spare
      %s"INTL" /   ; for 0 1 1 1 international network
      %s"LOC-8" /  ; for 1 0 0 0 spare
      %s"LOC-9" /  ; for 1 0 0 1 spare
      %s"BI" /     ; for 1 0 1 0 network beyond interworking point
      %s"LOC-11" / ; for 1 0 1 1 spare
      %s"LOC-12" / ; for 1 1 0 0 reserved for national use
      %s"LOC-13" / ; for 1 1 0 1 reserved for national use
      %s"LOC-14" / ; for 1 1 1 0 reserved for national use
      %s"LOC-15"   ; for 1 1 1 1 reserved for national use

                       Figure 1: isup-cause-location
NEW:
reason-extension =/ isup-cause-location
isup-cause-location =  "location" EQUAL isup-location-value

   isup-location-value =
      "U" /      ; for 0 0 0 0 user
      "LPN" /    ; for 0 0 0 1 private network serving the local user
      "LN" /     ; for 0 0 1 0 public network serving the local user
      "TN" /     ; for 0 0 1 1 transit network
      "RLN" /    ; for 0 1 0 0 public network serving the remote user
      "RPN" /    ; for 0 1 0 1 private network serving the remote user
      "LOC-6" /  ; for 0 1 1 0 spare
      "INTL" /   ; for 0 1 1 1 international network
      "LOC-8" /  ; for 1 0 0 0 spare
      "LOC-9" /  ; for 1 0 0 1 spare
      "BI" /     ; for 1 0 1 0 network beyond interworking point
      "LOC-11" / ; for 1 0 1 1 spare
      "LOC-12" / ; for 1 1 0 0 reserved for national use
      "LOC-13" / ; for 1 1 0 1 reserved for national use
      "LOC-14" / ; for 1 1 1 0 reserved for national use
      "LOC-15"   ; for 1 1 1 1 reserved for national use

                       Figure 1: isup-cause-location
END.

Please replace the two paragraphs following figure 1 in section 4 as follows:

OLD:
Note: These are the values defined within [Q.850] as location.  Thus
other values are not within the scope of this document.

Depending on whether the message is a request or a response the UAC
or UAS SHALL include the location parameter when setting up the Reason
header field with a [Q.850] cause.  This approach is only possible in cases
when the ISUP [Q.850] location is available.

NEW:
Note: These are the values defined within [Q.850] as location. The 'LOC-*' names
are the wire codepoints for the values currently left as 'spare' or 'reserved’
in [Q.850]; these will continue to be the wire codepoints in the case of future
allocation or national usage of the such values.

The UAC or UAS SHALL include the location parameter in a request or response
when setting up the Reason header field with a [Q.850] cause when the
ISUP [Q.850] location is available.
END.

Finally, please change the date for the [Q850] reference to October 2018. 

Thanks!

Ben.